Get cash flow summary report
GET /api/v1/programmatic/reports/cash-flow-summary
/api/v1/programmatic/reports/cash-flow-summaryReturns income, expense, savings, and monthly trend aggregates.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
month | query | stringOptional | Final report month. Defaults to the current month in the workspace timezone. 2026-07 |
range | query | recent | fullOptional | `full` is clamped to the history window allowed by the plan. recent |
period | query | 6m | 12mOptional | Deprecated compatibility alias. Use `range`. 6m |
Code examples
curl --request GET \
--url 'https://api.tetri.app/api/v1/programmatic/reports/cash-flow-summary?month=2026-07&range=recent&period=6m' \
--header 'Authorization: Bearer $TETRI_API_TOKEN'Responses
{
"data": {
"type": "cash_flow_summary",
"id": "<string>",
"attributes": {
"analysis_period_end": "2026-07-12",
"analysis_period_start": "2026-07-12",
"month": "<string>",
"target_savings_rate": "<string>",
"total_income_agg": {
"per_currency": [
{
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"count": 0
}
],
"home_converted": {
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"fx_partial": false,
"missing_fx_count": 0,
"rate_date": "2026-07-12"
}
},
"total_expenses_agg": {
"per_currency": [
{
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"count": 0
}
],
"home_converted": {
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"fx_partial": false,
"missing_fx_count": 0,
"rate_date": "2026-07-12"
}
},
"savings_agg": {
"per_currency": [
{
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"count": 0
}
],
"home_converted": {
"currency_code": "<string>",
"currency_symbol": "<string>",
"currency_decimal_places": 0,
"amount": "<string>",
"fx_partial": false,
"missing_fx_count": 0,
"rate_date": "2026-07-12"
}
},
"savings_rate": "<string>",
"income_sources": [
{
"account_id": "<string>",
"wallet_id": "<string>",
"name": "<string>",
"amount": "<string>",
"percentage": "<string>"
}
],
"expense_categories": [
{
"category_id": "<string>",
"name": "<string>",
"icon_name": "<string>",
"accent_color": "<string>",
"amount": "<string>",
"percentage": "<string>"
}
],
"monthly_trend": [
{
"month": "<string>",
"income": "<string>",
"expenses": "<string>",
"savings": "<string>",
"savings_rate": "<string>"
}
],
"fx_losses_home": "<string>",
"fx_partial": false,
"missing_fx_count": 0
},
"window": {
"applied_months": 0,
"earliest_visible_date": "2026-07-12",
"plan": "free",
"requested_range": "recent",
"truncated_by_plan": false
}
}
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}{
"statusCode": 400,
"code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
"message": "<string>",
"error": "Bad Request",
"request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}